cgGetBufferSize(3)

NAME
cgGetBufferSize - get the size of a buffer

SYNOPSIS
  #include <Cg/cg.h>

  int cgGetBufferSize( CGbuffer buffer );

PARAMETERS

buffer
    The buffer for which the size will be retrieved.

RETURN VALUES
Returns the size in bytes of buffer.

Returns -1 if an error occurs.

DESCRIPTION
cgGetBufferSize returns the size in bytes of buffer.

EXAMPLES
int size = cgGetBufferSize( myBuffer );

ERRORS
CG_INVALID_BUFFER_HANDLE_ERROR is generated if buffer is not a valid buffer.

HISTORY
cgGetBufferSize was introduced in Cg 2.0.

SEE ALSO
cgCreateBuffer, cgGLCreateBuffer, cgSetBufferData, cgSetBufferSubData